<div class="container-fluid bg-blue-50 text-xs p-4">
    <div class="hidden sm:flex-1 sm:flex sm:items-center sm:justify-between mb-4 mx-2">
        <div class="flex">
            <div class="mr-4">
                <label for="table-search" class="sr-only">Search</label>
                <div class="relative mt-1">
                    <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                    <svg class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd"></path>
                    </svg>
                    </div>
                    <input type="text" id="table-search" wire:model="recherche" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-80 pl-10 p-2.5" placeholder="Rechercher un élément dans le tableau">
                </div>
            </div>
            <div class="">
                <label for="table-entries" class="sr-only">Entrées</label>
                <div class="relative mt-1">
                    <select type="text" id="table-entries" wire:model="entriesNumber" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-16 p-2.5">
                        <option value="10">10</option>
                        <option value="15">15</option>
                        <option value="20">20</option>
                        <option value="25">25</option>
                        <option value="50">50</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="">
            {{ $allUsers->onEachSide(1)->links() }}
        </div>
    </div>
    <div class="relative overflow-x-auto sm:rounded-lg shadow-lg mx-2 flex-auto">
        <table id="table-search" class="w-full text-xs text-left text-gray-500">
            <thead class="text-xs text-white uppercase bleu-icc-bg">
                <tr>
                    <th scope="col" wire:click="ordonner('Actif','{{$this->order}}')" class="px-6 py-3 text-center">
                    Actif
                    </th>
                    <th scope="col" class="px-6 py-3 text-center">
                    Photo
                    </th>
                    <th scope="col" wire:click="ordonner('Utilisateurs','{{$this->order}}')"  class="px-6 py-3">
                    Utilisateurs
                    </th>
                    <th scope="col" wire:click="ordonner('Email','{{$this->order}}')" class="px-6 py-3">
                    Email
                    </th>
                    <th scope="col" wire:click="ordonner('Type','{{$this->order}}')" class="px-6 py-3">
                    Type
                    </th>
                    <th scope="col" wire:click="ordonner('Statut','{{$this->order}}')" class="px-6 py-3">
                    Statut
                    </th>
                    <th scope="col" wire:click="ordonner('Fonction','{{$this->order}}')" class="px-6 py-3">
                    Fonction
                    </th>
                    <th scope="col" wire:click="ordonner('Agence','{{$this->order}}')" class="px-6 py-3">
                    Agence
                    </th>
                    <th scope="col" class="px-6 py-3">
                    Alertes
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach ($allUsers as $member)
                <tr class="bg-white border-b hover:bg-gray-50">
                    <td class="w-4 p-4">
                        <div class="text-center">
                            <span hidden>{{ $member->EMPLOYEE_COMPTEACTIF ? 'actif': 'bloqué' }}</span>
                            <input type="checkbox" name="actif" id="actif" {{ $member->EMPLOYEE_COMPTEACTIF ? 'checked': '' }} disabled>
                        </div>
                    </td>
                    <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap">
                        @if ($member->EMPLOYEE_PHOTO)
                            <img class="flex flex-auto w-10 h-10 rounded-full border-white border-2 mx-auto" src="{{ $member->EMPLOYEE_PHOTO }}" alt="id_photo">
                        @else
                            <img class="flex flex-auto w-10 h-10 rounded-full border-white border-2 mx-auto" src="{{ asset('/img/nobody.jpg') }}" alt="id_photo">
                        @endif
                    </th>
                    <td class="px-6 py-4">
                        <a onclick='Livewire.emit("openModal", "user-details-mod", {{ json_encode(["userEmailPro" => $member->EMPLOYEE_EMAILPRO]) }})' name="openUserDetails"
                            class="block py-2 text-gray-700 hover:bg-gray-50 hover:bg-transparent icc-link-orange">
                            <b>{{ $member->EMPLOYEE_NOM }} {{ $member->EMPLOYEE_PRENOM }}</b>
                        </a>
                    </td>
                    <td class="px-6 py-4">
                        {{ $member->EMPLOYEE_EMAILPRO }}
                    </td>
                    <td class="px-6 py-4">
                        {{ $member->EMPLOYEE_TYPECONTRAT }}
                    </td>
                    <td class="px-6 py-4">
                        {{ $member->EMPLOYEE_STATUT }}
                    </td>
                    <td class="px-6 py-4">
                        {{ $member->EMPLOYEE_FONCTION }}
                    </td>
                    <td class="px-6 py-4">
                        <?php
                            $agence = $member->AGENCE_NOM;
                            $md5Agence = md5($agence);
                            $couleurAgence = substr($md5Agence,-6);
                        ?>
                        <a onclick='Livewire.emit("openModal", "agence-details-mod", {{ json_encode(["agenceId" => $member->EMPLOYEE_FKAGENCEID]) }})' name="agence_link"
                        style="margin: 2px; background-color:#<?php echo $couleurAgence;?>" class="px-2 py-1 text-xs text-white font-medium rounded-full hover:border-4 hover:border-orange-300">
                            <b class="text-xs">{{ $member->AGENCE_NOM }}</b>
                        </a>
                    </td>
                    <td class="px-6 py-4">
                        @if (
                            (str_contains($member->EMPLOYEE_FONCTION, 'MIOBSP')) ||
                            (str_contains($member->EMPLOYEE_FONCTION, 'COBSP')) ||
                            (str_contains($member->EMPLOYEE_FONCTION, 'COA')) ||
                            (str_contains($member->EMPLOYEE_FONCTION, 'MIA'))
                        )
                            <span class="pl-2">
                                <?php
                                $anneeEnCours = date('Y');
                                // $anneeSuivante = $anneeEnCours+1;
                                $etatOrias = strtolower($member->EMPLOYEE_ETATORIAS);
                                // $dateOriasRenouvellement = date('d-m', '01/01'); dd($dateOriasRenouvellement);
                                // $dateOriasRenouvellementDébut = date('d-m', '01/12');
                                // $dateOriasRenouvellementFin = date('d-m', '01/02');
                                // dd($dateOriasRenouvellementDébut > $dateOriasRenouvellementFin);
                                ?>
                                @if ($etatOrias == null)
                                <span class="px-2 py-1 text-xs bg-red-600 text-white font-medium rounded-full hover:border-4 hover:border-red-300">
                                    <span style="color: orange !important;"><i class="fa-solid fa-bell"></i></span>
                                    &nbsp;Orias sans état
                                </span>
                                @endif
                                @if ($etatOrias == "en cours")
                                <span class="px-2 py-1 text-xs bg-blue-600 text-white font-medium rounded-full hover:border-4 hover:border-red-300">
                                    <span style="color: orange !important;"><i class="fa-solid fa-bell"></i></span>
                                    &nbsp;Orias en cours
                                </span>
                                @endif
                                @if ($etatOrias == 'ok')
                                <span class="px-2 py-1 text-xs bg-green-600 text-white font-medium rounded-full hover:border-4 hover:border-red-300">
                                    <span style="color: orange !important;"><i class="fa-solid fa-bell"></i></span>
                                    &nbsp;Orias valide
                                </span>
                                @endif
                                <!-- <span style="color: orange !important;"><i class="fa-solid fa-bell"></i></span> -->
                            </span>
                        @endif
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>

<script type="text/javascript" src="">
    // sortTable(f,n)
    // f : 1 ascending order, -1 descending order
    // n : n-th child(<td>) of <tr>
    function sortTable(f,n){
        var rows = $('#employeesTable tbody tr').get();

        rows.sort(function(a, b) {

            var A = getVal(a);
            var B = getVal(b);

            if(A < B) {
                return -1*f;
            }
            if(A > B) {
                return 1*f;
            }
            return 0;
        });

        function getVal(elm){
            var v = $(elm).children('td').eq(n).text().toUpperCase();
            if($.isNumeric(v)){
                v = parseInt(v,10);
            }
            return v;
        }

        $.each(rows, function(index, row) {
            $('#mytable').children('tbody').append(row);
        });
    }
    var f_sl = 1; //flag to toggle the sorting order
    var f_nm = 1; //flag to toggle the sorting order
    $("#sl").click(function(){
        f_sl *= -1; //toggle the sorting order
        var n = $(this).prevAll().length;
        sortTable(f_sl,n);
    });
    $("#nm").click(function(){
        f_nm *= -1; //toggle the sorting order
        var n = $(this).prevAll().length;
        sortTable(f_nm,n);
    });
</script>