<div class="mx-3">
	<div class="mx-3">
		<h1 class="text-2xl font-bold capitalize text-blue-900 pb-2"><i class="fa-solid fa-briefcase"></i>&nbsp;Données professionnelles</h1>
		<div class="mx-4">
			<div class="flex items-center gap-3">
				<!-- Général -->
				<div class="flex-auto basis-1/3 rows-span-2 h-auto rounded bleu-icc-bg">
					<figure class="px-4 py-3 mt-2 mb-3">
						@if ($user->EMPLOYEE_PHOTO)
							<img class="w-24 h-24 rounded-full border-white border-2 mx-auto" src="{{ $user->EMPLOYEE_PHOTO }}" alt="id_photo">
						@else
							<img class="w-24 h-24 rounded-full border-white border-2 mx-auto" src="{{ asset('/img/nobody.jpg') }}" alt="id_photo">
						@endif
						<div class="pt-2 text-center">
							<figcaption class="">
								<div class="orange-icc-text font-semibold">
									{{ $user->EMPLOYEE_PRENOM }} {{ $user->EMPLOYEE_NOM }}
									<a wire:click='$emit("openModal", "user-form-mod", @json(["userId" => $user->EMPLOYEE_ID]))'
											class="text-white p-1 px-2 hover:font-bold icc-link-orange">
										<span class="italic"><i class="fa-solid fa-pen-to-square"></i></span>
									</a>
								</div>
								<div class="text-white font-medium italic">
									{{ $user->EMPLOYEE_FONCTION }}
								</div>
								<div class="text-white italic mb-3">
									@if ($user->EMPLOYEE_SERVICE)
										{{ $user->EMPLOYEE_SERVICE }}
									@else
										-
									@endif
								</div>
								<div class="col-span-2 mb-2">
									<a wire:click='$emit("openModal", "agence-details-mod", @json(["agenceId" => $user->EMPLOYEE_FKAGENCEID]))'
										class="bg-blue-100 p-1 px-2 hover:bg-blue-200 rounded-lg hover:font-bold icc-link-orange">
									<span class="italic">{{ $user->AGENCE_NOM }}</span>
									</a>
								</div>
							</figcaption>
						</div>
					</figure>
				</div>
				<div class="flex flex-col basis-2/3 gap-2">
					<div class="flex-auto">
						<div class="rounded text-white shadow" role="alert">
							<div class="bleu-icc-bg rounded-t border-b-4 border-red-400">
								<span class="font-bold mx-4 text-md">
									Général
								</span>
							</div>
							<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
								<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
									<div><span class="font-semibold">Statut :&nbsp;</span><span class="italic">{{ $user->EMPLOYEE_STATUT }}</span></div>
									<div><span class="font-semibold">Email pro. :&nbsp;</span><span class="italic">{{ $user->EMPLOYEE_EMAILPRO }}</span></div>
									<div><span class="font-semibold">Tél. pro. :&nbsp;</span><span class="italic">{{ $user->EMPLOYEE_TELPRO }}</span></div>
								</div>
							</div>
						</div>
					</div>
					<!-- Contrat -->
					<div class="flex-auto basis-2/3">
						<div class="rounded text-white shadow" role="alert">
							<div class="bleu-icc-bg rounded-t border-b-4 border-red-400">
								<span class="font-bold mx-4 p-1">
									Contrat
								</span>
							</div>
							<!-- <div class="grid grid-cols-2 gap-4 mx-2 px-4"> -->
							<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
								<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
									<?php
										if($user->EMPLOYEE_DATEARRIVEE != null) {
											$dateEntree = strtotime($user->EMPLOYEE_DATEARRIVEE);
											$dateEntree = date('d/m/Y', $dateEntree);
										}
										else { $dateEntree = "-"; }
										if($user->EMPLOYEE_DATEDEPART != null) {
											$dateDepart = strtotime($user->EMPLOYEE_DATEDEPART);
											$dateDepart = date('d/m/Y', $dateDepart);
										}
										else { $dateDepart = "-"; }
									?>
									<div><span class="font-semibold">Type :&nbsp;</span><span class="italic">{{ $user->EMPLOYEE_TYPECONTRAT }}</span></div>
									<div><span class="font-semibold">Débute le :&nbsp;</span><span class="italic">{{ $dateEntree }}</span></div>
									<div><span class="font-semibold">Termine le :&nbsp;</span><span class="italic">{{ $dateDepart }}</span></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		<!-- </div> -->
			<div class="flex gap-3">
				<!-- Mandataires -->
				<div class="flex-auto w-1/3 mt-3">
					@if ($user->EMPLOYEE_ESTCOURTIER)
					<?php $caseActivationStatus = '<div class="rounded text-white shadow" role="alert"><div class="bleu-icc-bg rounded-t border-b-4 border-blue-400">'; ?>
					@else
						<?php $caseActivationStatus = '<div class="icc-info-div-disabled rounded text-gray-900 m-1 px-4 py-3 p-4 mb-4" role="alert">'; ?>
						<?php $caseActivationStatus = '<div class="rounded icc-info-div-disabled text-gray-900 shadow" role="alert"><div class="bg-gray-300 rounded-t border-b-4 border-gray-400">'; ?>
					@endif
					<div class="rounded text-white shadow" role="alert">
						<div class="bleu-icc-bg rounded-t border-b-4 border-blue-400">
							<span class="font-bold mx-4 p-1">
								Mandataire(s)
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
								<?php
									if ($user->EMPLOYEE_ESTCOURTIER) {
										$estCourtier = "Oui";
										$siren = $user->EMPLOYEE_SIREN;
										$orias = $user->EMPLOYEE_ORIAS;
									}
									else {
										$estCourtier = "Non";
										$siren = "-";
										$orias = "-";
									}
								?>
								<div><span class="font-semibold">Est courtier :&nbsp;</span><span class="italic">{{ $estCourtier }}</span></div>
								<div><span class="font-semibold">N°RCS/Siret :&nbsp;</span><span class="italic">{{ $siren }}</span></div>
								<div><span class="font-semibold">N°ORIAS :&nbsp;</span><span class="italic">{{ $orias }}</span></div>
								<!-- <div><span class="font-semibold">&nbsp;</span><span class="italic"></span></div> -->
							</div>
						</div>
					</div>
				</div>
				<!-- Suivi ORIAS -->
				<div class="flex-auto w-1/3 mt-3">
					<?php
						if($user->ORIAS_DEMANDEINSCRIPTION != null) {
							$dateDemandeOrias = strtotime($user->ORIAS_DEMANDEINSCRIPTION);
							$dateDemandeOrias = date('d/m/Y', $dateDemandeOrias);
						}
						else { $dateDemandeOrias = "-"; }

						if($user->ORIAS_VALIDATIONINSCRIPTION != null) {
							$dateOrias = strtotime($user->ORIAS_VALIDATIONINSCRIPTION);
							$dateOrias = date('d/m/Y', $dateOrias);
						}
						else { $dateOrias = "-"; }

						echo $caseActivationStatus;
					?>
						<!-- <div class="bleu-icc-bg rounded-t border-b-4 border-blue-400"> -->
							<span class="font-bold mx-4 p-1">
								Suivi ORIAS
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
								@if ($user->ORIAS_MONTANT != null)
									<?php $montantOrias = $user->ORIAS_MONTANT . " €"; ?>
								@else
									<?php $montantOrias = ""; ?>
								@endif
								<div class="col-span-2"><span class="font-semibold">Date demande :&nbsp;</span><span class="italic">{{ $dateDemandeOrias }}</span></div>
								<div class="col-span-2"><span class="font-semibold">Date validation :&nbsp;</span><span class="italic">{{ $dateOrias }}</span></div>
								<div><span class="font-semibold">Etat :&nbsp;</span><span class="italic">{{ $user->ORIAS_ETAT }}</span></div>
								<div><span class="font-semibold">Prix :&nbsp;</span><span class="italic">{{ $montantOrias }}</span></div>
								<!-- <div><span class="font-semibold">&nbsp;</span><span class="italic"></span></div> -->
							</div>
						</div>
					</div>
				</div>
				<!-- Suivi IEAM -->
				<div class="flex-auto w-1/3 mt-3">
					<?php
						if($user->IEAM_DEMANDEINSCRIPTION != null) {
							$dateDemandeIeam = strtotime($user->IEAM_DEMANDEINSCRIPTION);
							$dateDemandeIeam = date('d/m/Y', $dateDemandeIeam);
						}
						else { $dateDemandeIeam = "-"; }

						if($user->IEAM_VALIDATIONINSCRIPTION != null) {
							$dateIeam = strtotime($user->IEAM_VALIDATIONINSCRIPTION);
							$dateIeam = date('d/m/Y', $dateIeam);
						}
						else { $dateIeam = "-"; }

						echo $caseActivationStatus;
					?>
						<!-- <div class="bleu-icc-bg rounded-t border-b-4 border-blue-400"> -->
							<span class="font-bold mx-4 p-1">
								Suivi IEAM
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">							
								<div><span class="font-semibold">Date demande :&nbsp;</span><span class="italic">{{ $dateDemandeIeam }}</span></div>
								<div><span class="font-semibold">Date validation :&nbsp;</span><span class="italic">{{ $dateIeam }}</span></div>
								<div><span class="font-semibold">Etat :&nbsp;</span><span class="italic">{{ $user->IEAM_ETAT }}</span></div>
								<!-- <div><span class="font-semibold">&nbsp;</span><span class="italic"></span></div> -->
							</div>
						</div>
					</div>
				</div>
				<!-- Suivi AFIB -->
				<div class="flex-auto w-1/3 mt-3">
					<?php
						if($user->AFIB_DEMANDEINSCRIPTION != null) {
							$dateDemandeAfib = strtotime($user->AFIB_DEMANDEINSCRIPTION);
							$dateDemandeAfib = date('d/m/Y', $dateDemandeAfib);
						}
						else { $dateDemandeAfib = "-"; }

						if($user->AFIB_VALIDATIONINSCRIPTION != null) {
							$dateAfib = strtotime($user->AFIB_VALIDATIONINSCRIPTION);
							$dateAfib = date('d/m/Y', $dateAfib);
						}
						else { $dateAfib = "-"; }

						echo $caseActivationStatus;
					?>
						<!-- <div class="bleu-icc-bg rounded-t border-b-4 border-blue-400"> -->
							<span class="font-bold mx-4 p-1">
								Suivi AFIB
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
								<div><span class="font-semibold">Date demande :&nbsp;</span><span class="italic">{{ $dateDemandeAfib }}</span></div>
								<div><span class="font-semibold">Date validation :&nbsp;</span><span class="italic">{{ $dateAfib }}</span></div>
								<div><span class="font-semibold">Etat :&nbsp;</span><span class="italic">{{ $user->AFIB_ETAT }}</span></div>
								<!-- <div><span class="font-semibold">&nbsp;</span><span class="italic"></span></div> -->
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="mx-3 mt-4 mb-2">
		<h1 class="text-2xl font-bold capitalize text-blue-900 pb-2"><i class="fa-solid fa-house-chimney"></i></i>&nbsp;Données personnelles</h1>
		<div class="mx-4">
			<div class="flex gap-3">
				<!-- Adresse -->
				<div class="flex-auto w-2/3">
					<div class="rounded text-white shadow" role="alert">
						<div class="bleu-icc-bg rounded-t border-b-4 border-emerald-400">
							<span class="font-bold mx-4 p-1">
								Adresse postale
							</span>
						</div>
						<!-- <div class="grid grid-cols-2 gap-4 mx-2 px-4"> -->
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
								<?php
									if ($user->EMPLOYEE_ADRESSEPERSOCOMPLEMENT != null) { 
										$complementAdresse = "- ".$user->EMPLOYEE_ADRESSEPERSOCOMPLEMENT;
									}
									else {
										$complementAdresse = "";
									}
								?>
								<div><span class="font-semibold">N°Rue/Voie :&nbsp;</span><span class="italic">{{ $user->EMPLOYEE_ADRESSEPERSO }} {{ $complementAdresse }}</span></div>
								<div><span class="font-semibold">Code/Ville :&nbsp;</span><span class="italic">{{ $user->EMPLOYEE_CODEPOSTALPERSO }} {{ $user->EMPLOYEE_VILLEPERSO }}</span></div>
							</div>
						</div>
					</div>
				</div>
				<!-- Contact -->
				<div class="flex-auto w-1/3">
					<div class="rounded text-white shadow" role="alert">
						<div class="bleu-icc-bg rounded-t border-b-4 border-emerald-400">
							<span class="font-bold mx-4 p-1">
								Contact
							</span>
						</div>						
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
								<div><span class="font-semibold">Tél. perso. :&nbsp;</span><span class="italic">{{ $user->EMPLOYEE_TELPERSO }}</span></div>
								<div><span class="font-semibold">Email perso. :&nbsp;</span><span class="italic">{{ $user->EMPLOYEE_EMAILPERSO }}</span></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>